/* jshint -W079 */
"use strict" ;

import 'polyfill/Date.js' ;

let performance ;

try
{
    if( window && window.performance )
    {
        performance = window.performance ;
        performance.now = performance.now
            || performance.mozNow
            || performance.msNow
            || performance.oNow
            || performance.webkitNow ;
    }
}
catch( error )
{
    performance = {} ;
}

if( !("now" in performance) )
{
    const startTime = Date.now() ;
    performance.now = () => Date.now() - startTime ;
}

export { performance } ;